This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 143292 - Installer hangs when comes to setting up filesystem during "installation of packages" stage
Installer hangs when comes to setting up filesystem during "installation of p...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alasdair Kergon
http://www.fedoraforum.org/forum/show...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-18 02:41 EST by Arthur Pemberton
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 08:53:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arthur Pemberton 2004-12-18 02:41:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I have been attempting a fresh install of Fedora Core 3, over (as a
replacement) a fully functional Fedora Core 2 installation. I booted
with 'linux hda=4865,255,63 hdb=4865,255,63' and then proceed to
install via CDs. Everything went well until came time to install the
packages. At that point activity went dead: CDROM was not spinning,
HDD activity LED was off, no progress on progress bar, GUI seemed frozen.

Since then I have tried a numerous combinations of boot parameters,
and package selections, along with queries to #fedora on IRC to no
avail. I have even tried an NFS network installation. The md5sums of
the ISO's match. During the network install: there was no acitivty
over the network when came time to install packages.

The installer nolonger detects the previous FC2 install, so I assume
that it is gone.

THe link provided is to a user who encountered the same or similiar
problem.

I wpould like to install FC3 successfully (fresh).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Begin installtion of Fedora Core 3 (installtion media seems irreelvant)
2.Go through steps 
3.COme to "intalling Packages' stage
    

Actual Results:  Installer seems to hang (I have left it for 15 mins
without success). Has apprently killed my former FC2 installtion

Expected Results:  Installer should proceed to install packages

Additional info:

Output of various screens:

[Ctrl+Alt+F1] - {last line}
Starting graphical installation...

[Ctrl+Alt+F2] - {only line}
-/bin/sh

[Ctrl+Alt+F3] - {last three lines}
* moving (1) to step confirminstall
* moving (1) to step install
* movinf (1) to step enablefilesystem

[Ctrl+Alt+F4]
<7> ISO 9660 Extensions: Microsoft Joilet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7> ISO 9660 Extensions: RRIP_1991A
<6> SELinux: initialized (dev loop2, type iso 9660), uses genfs_contexts
<7> ISO 9660 Extensions: Microsoft Joilet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7> ISO 9660 Extensions: RRIP_1991A
<6> SELinux: initialized (dev loop2, type iso 9660), uses genfs_contexts
<7> ISO 9660 Extensions: Microsoft Joilet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7> ISO 9660 Extensions: RRIP_1991A
<6> SELinux: initialized (dev loop2, type iso 9660), uses genfs_contexts
<7> ISO 9660 Extensions: Microsoft Joilet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7> ISO 9660 Extensions: RRIP_1991A
<6> SELinux: initialized (dev loop2, type iso 9660), uses genfs_contexts
<7> ISO 9660 Extensions: Microsoft Joilet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7> ISO 9660 Extensions: RRIP_1991A
<6> SELinux: initialized (dev loop3, type iso 9660), uses genfs_contexts
<6> kjournald starting. Commit interval 5 seconds
<6> EXT3_FS on hda7, internal journal
<6>EXT#-fs: mounted filesystem with orderd data mode.
<6> SELinux: initialized (dev hda7, type ext3),uses xattr


[From # ps -Af]
root    538    362 99 03:00 tty1    00:19:20 lvm lvcreate -L 8352M -n
LogVol1200 -An VolGroup00
Comment 1 Jeremy Katz 2004-12-20 13:10:11 EST
lvcreate is running and not completing.
Comment 2 Arthur Pemberton 2004-12-20 18:46:29 EST
I suspected the problem lay somewhere in this LVM system. But is this
a problem/bug? Or is this a matter of impatience on my part? (I have
let it run for about 10 mins on one attempt, but I have 700Mhz Celeron)

How do I solve this problem.
Comment 3 Alasdair Kergon 2004-12-21 10:33:38 EST
Try to get debugging information from the lvcreate command e.g. by 
using 'strace -p' to see what the process is stuck doing - the CPU
time suggests it's looping.  Or re-run it with -vvv and grab the output.

There are newer RPMs to cope better with things found on the drive,
but so far we've only seen problems manifest themselves in 'pvcreate'.

If you're only interested in a clean install, you could try wiping the
first few sectors of your drives then retry the installation.
Comment 4 Alasdair Kergon 2004-12-21 10:44:57 EST
Also please check what the physical extent size is.
e.g. PE size in 'lvm vgdisplay'  or 'lvm vgs -v'
Comment 5 Arthur Pemberton 2004-12-21 13:17:15 EST
Excuse my ignorance, but hoe do i re-run it with -vvv? And shouldn't I
lik it first?

I am doing a clean install, but on a dual-boot machine. The fact that
grub (from my axed FC2 install) still works is the only reason the
machine is still usable (if you consider Windows usable)...would
wiping the first few sectors of my drive kill grub (and by extension
Windows)? And if not how do I go about doing this?

Just an addtional piece of information, I pass 'linux hda=4862,255,63
hdb=4862,255,63' to Anaconda on install boot so as to stay clear of
the kernel 2.6.x prob noted by others in FC2. And I have allowed the
process to run for 60 mins, that produced no noticeable progress.
Comment 6 Arthur Pemberton 2004-12-21 13:35:43 EST
[-/bin/sh-3.00# lvm vgs -v]
    Finding all volume groups
{that's all the output I get out of it}
{I have to Ctrl+C to quit it at which point I get}
CTRL-c detected: giving up waiting for lock
/var/lock/lvm/V_VolGRoup00: flock failed: Interrupted system call
Can't lock VolGroup00: skipping


[-/bin/sh-3.00# strace -p
[-/bin/sh: strace: command not found
Comment 7 Arthur Pemberton 2004-12-31 19:28:09 EST
After much waiting, I decided to resinsall Windows (Windows ME), from
there I installed Partion Magic, and deleted the non-FAT partions from
there, leaving free space where they once were.

I then proceed to install FC3 again (via NFS) and I selected that
Anaconda used the free space for installation.

This does not serve to explain my initial problems, but at least got
me around it.
Comment 8 Alasdair Kergon 2004-12-31 20:03:45 EST
I'm guessing the problem's similar to some others we've seen recently,
and that the newest lvm2 package, 2.00.32 would fix it.

Note You need to log in before you can comment on or make changes to this bug.